# Class CIM_Component

CIM_Component is a generic association used to establish 'part of' relationships between Managed Elements. For example, it could be used to define the components or parts of a System.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component

## Direct Known Subclasses

CIM_ApplicationSystemHierarchy
CIM_AssociatedComponentExtent
CIM_AssociatedRemainingExtent
CIM_BGPRouteMapsInRoutingPolicy
CIM_BGPServiceAttributes
CIM_CollectionOfSensors
CIM_ConcreteComponent
CIM_ContainedLocation
CIM_ContainedProposal
CIM_ContainedTransform
CIM_Container
CIM_DatabaseFile
CIM_DatabaseStorage
CIM_DiagnosticTestInPackage
CIM_DirectoryContainsFile
CIM_ElementInSchedulingService
CIM_EndpointInArea
CIM_EntriesInFilterList
CIM_FileStorage
CIM_FilteredBGPAttributes
CIM_LinkHasConnector
CIM_ListsInRoutingPolicy
CIM_ModulePort
CIM_NetworkPipeComposition
CIM_OperatingSystemSoftwareFeature
CIM_OrderedComponent
CIM_OSProcess
CIM_PolicyComponent
CIM_PrintJobFile
CIM_ProcessOfJob
CIM_ProcessThread
CIM_ProductComponent
CIM_ProductElementComponent
CIM_ProductPhysicalComponent
CIM_ProductServiceComponent
CIM_ProductSoftwareComponent
CIM_RedundancyComponent
CIM_ServiceComponent
CIM_SettingsDefineCapabilities
CIM_SoftwareElementComponent
CIM_SoftwareFeatureComponent
CIM_SoftwareFeatureSoftwareElements
CIM_SystemComponent
CIM_VirtualSystemSettingDataComponent

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Abstract | boolean | true
Aggregation | boolean | true
Association | boolean | true
Description | string | CIM_Component is a generic association used to establish 'part of' relationships between Managed Elements. For example, it could be used to define the components or parts of a System.
UMLPackagePath | string | CIM::Core::CoreElements
Version | string | 2.7.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_Component | CIM_ManagedElement
PartComponent | CIM_Component | CIM_ManagedElement

## Class Methods